package e

var MsgFlags = map[int]string{
	SUCCESS:               "ok",
	UpdatePasswordSuccess: "修改密码成功",
	NotExistIdentifier:    "账号或密码不正确",
	InternalError:         "内部服务器错误",
	InvalidParams:         "请求参数错误",
	ErrorDatabase:         "数据库操作出错,请重试",
	WebsocketSuccess:      "发送信息，请求历史纪录操作成功",
	WebsocketEnd:          "请求历史纪录，但没有更多记录了",
}

// GetMsg 获取状态码对应信息
func GetMsg(code int) string {
	msg, ok := MsgFlags[code]
	if ok {
		return msg
	}
	return MsgFlags[InternalError]
}
